Skip to content
Back to top
View this page

# `incus storage volume file mount`

Mount files from custom storage volumes

## Synopsis

[96;1;4mDescription:[0;22;24m
Mount files from custom storage volumes.
If no target path is provided, start an SSH SFTP listener instead.

    incus storage volume file mount [2m[[22m[32m<remote>[0m:[2m][22m[32m<pool>[0m [32m<volume>[0m [2m[[22m[32m<target path>[0m[2m][22m [flags]

## Examples

      incus storage volume file mount mypool myvolume localdir
         To mount the storage volume myvolume from pool mypool onto the local directory localdir.

      incus storage volume file mount mypool myvolume
         To start an SSH SFTP listener for the storage volume myvolume from pool mypool.

## Options

          --auth-user string   Set authentication user when using SSH SFTP listener
          --listen string      Setup SSH SFTP listener on address:port instead of mounting
          --no-auth            Disable authentication when using SSH SFTP listener

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage volume file - Manage files in custom volumes